<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('common/files/download-protected', [\App\Http\ApiV1\Modules\Common\Controllers\FilesController::class, 'downloadProtected'])->name('downloadProtectedFile');
Route::post('auth/login', [\App\Http\ApiV1\Modules\Auth\Controllers\AuthController::class, 'login'])->withoutMiddleware(['auth']);
Route::get('auth/logout', [\App\Http\ApiV1\Modules\Auth\Controllers\AuthController::class, 'logout'])->name('logout');
Route::post('auth/refresh', [\App\Http\ApiV1\Modules\Auth\Controllers\AuthController::class, 'refresh'])->withoutMiddleware(['auth']);
Route::post('baskets:set-item', [\App\Http\ApiV1\Modules\Baskets\Controllers\BasketsController::class, 'setItem']);
Route::post('baskets:current', [\App\Http\ApiV1\Modules\Baskets\Controllers\BasketsController::class, 'current']);
Route::delete('baskets', [\App\Http\ApiV1\Modules\Baskets\Controllers\BasketsController::class, 'delete']);
Route::post('catalog/products:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductsController::class, 'search'])->name('searchProducts');
Route::get('catalog/products/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductsController::class, 'get'])->name('getProduct');
